<div ui-view>
    <div class="row mt-3">
        <div class="col-5">
            <div class="form-group">
                <div style="position: relative;">
                    <input type="text" class="form-control " ng-model="$ctrl.searchStr"
                        ng-keyup="$ctrl.search_order($ctrl.searchStr)" autocomplete="off"
                        placeholder="Search eOrder ID | Patient Name | Ordered Test">
                    <i class="fas fa-search search-icon-pos"></i>
                </div>
            </div>
        </div>
        <div class="col-5">
            <div class="d-flex flex-row">
                <div class="date-filter d-flex mr-2">
                    <p style="line-height: 40px; margin-bottom: 0; margin-right: 5px; color: #8493ae;">From: </p>
                    <input type="date" class="form-control" ng-model="$ctrl.startDate"
                        ng-change="$ctrl.changeDate()">
                </div>
                <div class="date-filter d-flex mr-2">
                    <p>To: </p>
                    <input type="date" class="form-control" ng-model="$ctrl.endDate" ng-change="$ctrl.changeDate()">
                </div>
            </div>
        </div>
        <div class="col-2">
            <button class="btn btn-danger biomark-btn-secondary" ng-click="$ctrl.clearDate()">Clear date</button>
        </div>
    </div>
    <div class="row">
        <div class="col">
            <div class="test_order_history_wrapper">
                <table class="table biomark-table">
                    <thead>
                        <tr>
                            <th style="width: 114px;">eORDER NO.</th>
                            <th style="width: 114px;">PATIENT NAME</th>
                            <th style="width: 200px;">TEST ORDERED</th>
                            <th style="width: 100px;">ORDER DATE</th>
                            <th style="width: 100px;">UPDATED DATE</th>
                            <th style="width: 80px;">STATUS</th>
                            <th style="width: 150px;">ACTIONS</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr ng-repeat="a in $ctrl.histories.data | filter:search">
                            <td class="size-12">{{a.barcode}}</td>
                            <td>
                                <div class="row no-gutters">
                                    <div class="col-auto ">
                                        <!-- <div ng-if="a.picture != null" style="float: left;">
                                            <img ng-src="https://assets.biomarking.com/profile/{{a.picture}}" 
                                                class="profile mr-2" style="border-radius: 50%" 
                                                height="39"
                                                width="39">
                                        </div> -->
                                        <div class="temporary_picture mr-2"
                                            style="text-transform: uppercase; float: left; margin-left: 0px; padding-top: 11px">
                                            {{a.first_name[0]}}{{a.last_name[0]}}
                                        </div>
                                    </div>
                                    <div class="col my-auto size-12">
                                        <p>{{a.first_name}} {{a.last_name}}</p>
                                    </div>
                                </div>
                            </td>
                            <td>
                                <div class="size-12">
                                    <div ng-repeat="b in a.packages | limitTo:3" style="margin-bottom: 2px;">
                                        {{b.test_name}}</div>
                                </div>
                            </td>
                            <td class="size-12">
                                {{a.created_at | date:'dd MMM yyyy'}}
                            </td>
                            <td class="size-12">
                                {{a.updated_at | date:'dd MMM yyyy'}}
                            </td>
                            <!-- created lab test -->
                            <td style="width:100px;">
                                <div class="status size-12 text-center" ng-switch on="a.status">
                                    {{a.status}}
                                    <!-- <div ng-switch-when="Processing">
                                        <i class="fas fa-circle goldenrod"></i>
                                        {{a.status}}
                                    </div>
                                    <div ng-switch-when="Complete">
                                        <i class="fas fa-circle green "></i>
                                        {{a.status}}
                                    </div>
                                    <div ng-switch-when="Cancelled">
                                        <i class="fas fa-circle red"></i>
                                        {{a.status}}
                                    </div> -->
                                </div>
                            </td>
                            <td>
                                <button class="view_order_btn size-12" style="background-color:white;"
                                    ui-sref="eorders.histories.view-order({order_id:2})"><b>View Order</b></button>
                            </td>
                        </tr>
                    </tbody>
                </table>
                <pagination ng-if="$ctrl.histories.data.length > 0" config="vm.page_config" paginate="vm.paginate">
                </pagination>
            </div>
        </div>
    </div>

</div>

<div class="biomark-modal" ng-if="vm.modal_window">
    <div class="modal_container small">
        <div class="modal-closer-icon" ng-click="vm.close()">
            <i class="material-icons md-14">close</i>
        </div>
        <div class="d-flex flex-column p-3">
            <div class="bm-label-24 dark-grey-blue"><b>Test Ordered</b></div>
        </div>
        <div class="border-bottom"></div>
        <div class="p-3 d-flex flex-row flex-wrap">
            <div class="capsule mr-2 mb-2" ng-repeat="b in vm.modal_data.packages track by $index">{{b.test_code}}</div>
        </div>
    </div>
</div>